import widgets as wd

proverbs = [
  '蛇の道はヘビ',
  '藪をつついて蛇を出す',
  '蛇のように賢く、鳩のように素直に',
  '蛇足',
  '竜頭蛇尾',
  '蛇に睨まれたカエル',
  '鬼が出るか蛇が出るか'
]

widget = wd.Widget()
layout = widget.small_layout

import random

p = proverbs[random.randrange(len(proverbs))]

layout.add_row([wd.Text(
  '今日の格言',
  color = wd.COLOR_GRAY,
  font = wd.Font.bold_system_font_of_size(17),
  padding = wd.Padding(10, 0, 10, 10)
)])

layout.add_row([wd.Text(
  p,
  color = wd.COLOR_LIGHT_GRAY,
  font = wd.Font.bold_system_font_of_size(24),
  padding = wd.Padding(10, 0, 10, 10)
)])

layout.set_background_color(wd.COLOR_BROWN)

wd.schedule_next_reload(60*60)
wd.show_widget(widget)

